## DMS Set FCC Authentication request DMS Set FCC Authentication request |

## Functions

QmiMessageDmsSetFccAuthenticationOutput * | qmi_message_dms_set_fcc_authentication_output_ref ()
void | qmi_message_dms_set_fcc_authentication_output_unref ()
gboolean | qmi_message_dms_set_fcc_authentication_output_get_result ()
void | qmi_client_dms_set_fcc_authentication ()
QmiMessageDmsSetFccAuthenticationOutput * | qmi_client_dms_set_fcc_authentication_finish ()

## Types and Values

| QmiMessageDmsSetFccAuthenticationOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsSetFccAuthenticationOutput

## Description

## Functions

### qmi_message_dms_set_fcc_authentication_output_ref ()

    QmiMessageDmsSetFccAuthenticationOutput *
    qmi_message_dms_set_fcc_authentication_output_ref
                                   (QmiMessageDmsSetFccAuthenticationOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetFccAuthenticationOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_dms_set_fcc_authentication_output_unref ()

    void
    qmi_message_dms_set_fcc_authentication_output_unref
                                   (QmiMessageDmsSetFccAuthenticationOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetFccAuthenticationOutput. |

Since: 1.14

### qmi_message_dms_set_fcc_authentication_output_get_result ()

    gboolean
    qmi_message_dms_set_fcc_authentication_output_get_result
                                   (QmiMessageDmsSetFccAuthenticationOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsSetFccAuthenticationOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.14

### qmi_client_dms_set_fcc_authentication ()

    void
    qmi_client_dms_set_fcc_authentication (QmiClientDms *self,
                                           gpointer unused,
                                           guint timeout,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously sends a Set FCC Authentication request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_set_fcc_authentication_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_dms_set_fcc_authentication_finish ()

    QmiMessageDmsSetFccAuthenticationOutput *
    qmi_client_dms_set_fcc_authentication_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_set_fcc_authentication()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_set_fcc_authentication()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsSetFccAuthenticationOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_set_fcc_authentication_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageDmsSetFccAuthenticationOutput

    typedef struct _QmiMessageDmsSetFccAuthenticationOutput QmiMessageDmsSetFccAuthenticationOutput;

The QmiMessageDmsSetFccAuthenticationOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14